@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@400;700&display=swap');

body {
    width: 100vw;
    height: 100vh;
    margin: 0;
    font-family: Roboto, sans-serif;
    line-height: 1.5;
    letter-spacing: .025em;
}

h1 {
margin-top: 0;
background-color: white;
font-size: 2em;
padding-left: .25em;
}

#panel_content>* {
    background-color: rgba(255,255,255,.7);
    border: 1px solid #CCC;
}

#panel_content>img {
    padding: 0;
    box-sizing: border-box;
}

#text {
    margin-bottom: 1em;
}

#text>p {
    margin: .5em;
    margin-bottom: 1em;
}

#text>p:last-child{
    margin-bottom: .5em;
}

#text>hr {
    visibility: hidden;
    margin: 0;
}

.footnote {
    margin-top: 0;
    font-size: .9em;
}

#panel {
    position: absolute;
    width: 40vw;
    height: 100vh;
    left: 0;
    // border-right: 1px solid black;
    z-index: 1000;
    // background-color: #e0aab8;
    // overflow: hidden;
}

#panel_content::-webkit-scrollbar {
    display: none;
}

#panel_content {
    -ms-overflow-style: none;
    scrollbar-width: none;
    // direction: rtl;
    box-sizing: border-box;
    padding: 1em;
    max-height: 100%;
    overflow-y: scroll;
}

/*
#panel_content > * {
    direction: ltr;
}
*/


#map {
    position: absolute;
    width: 100vw;
    height: 100vh;
    right: 0;
    background-color: white;
    pointer-events: auto;
}

#slide {
    position: absolute;
    left: 50%;
    transform: translate(-50%);
    margin-top: 5vh;
    overflow: hidden;
    border: 1px solid black;
    z-index: 2000;
    //background-color: white;
    background-image: url("http://ateliepatra.eu/placeholder.jpg");
}

#slide>img {
    max-width: 90vw;
    max-height: 90vh;
    display: block;
}

#forward,
#backward {
    direction: ltr;
    position: absolute;
    z-index: 2000;
    top: 1.79em;
}

#backward {
    right: 5em;
}

#forward {
    right: 2em;
}

#s-forward,
#s-backward {
    position: absolute;
    bottom: 1em;
}

#s-forward {
    right: 1em;
}

#s-backward {
    left: 1em;
}

.thumb {
    max-width: 100%;
    // border: 1px solid black;
    margin-bottom: 1em;
}

/* use for fullscreen! */
#slide.full {
    height: 100vh;
    width: 100vw;
    margin: 0;
    border: none;
    max-height: none;
    max-width: none;
}

#slide.full>img {
    max-height: none;
    max-width: none;
    height: 100%;
    width: 100%;
    object-fit: contain;
}

#loading {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    min-height: 100vh;
}

#menu {
    position: absolute;
    top: 2em;
    left: 2em;
    z-index: 1001;
}

#zoom {
    display: none;
    position: absolute;
    top: .4em;
    right: .4em;
    font-size: 5em;
    z-index: 1000;
}

a,
a:visited {
    color: white;
    text-decoration: none;
    background: darkred;
    padding-right: .2em;
    padding-left: .2em;
}

a:hover {
    background: red;
    //font-style: italic;
}

a.special {
    color: black;
    background-color: white;
}

a.selected {
    color: darkred;
    background-color: white;
}

li {
    list-style: none;
}
